Bug 9418 - [PATCH] Strings not recognized by org.apache.poi.hssf.record.formula.Ptg
Summary: [PATCH] Strings not recognized by org.apache.poi.hssf.record.formula.Ptg
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 2.0-dev
Hardware: PC All
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-26 01:15 UTC by Werner Froidevaux
Modified: 2005-03-20 17:06 UTC (History)
1 user (show)



Attachments
Sample implementation of StringPtg (4.30 KB, text/plain)
2002-05-26 01:17 UTC, Werner Froidevaux
Details
Patch for Ptg (10.07 KB, patch)
2002-05-26 01:17 UTC, Werner Froidevaux
Details | Diff
Patch for Ptg (1.08 KB, patch)
2002-05-26 22:46 UTC, Werner Froidevaux
Details | Diff
Patch for TestFormulaParser (800 bytes, patch)
2002-05-26 23:35 UTC, Werner Froidevaux
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Werner Froidevaux 2002-05-26 01:15:19 UTC
String constants (sid=x017) (e.g. a cell containing '= "ABCD"') are not 
recognined by Ptg.  An unknown PTG exception is thrown.
Comment 1 Werner Froidevaux 2002-05-26 01:17:15 UTC
Created attachment 1944 [details]
Sample implementation of StringPtg
Comment 2 Werner Froidevaux 2002-05-26 01:17:49 UTC
Created attachment 1945 [details]
Patch for Ptg
Comment 3 Andy Oliver 2002-05-26 22:10:22 UTC
Hi..  Not trying to be a pain but can you do this:

1. Make a unit test for #1
2. attach an actual *patch* for #2
 (to make a patch, get the HEAD from CVS, make your changes to your working
copy, type cvs diff -u > mypatch.patch)

This does a couple things:

1 - I can tell what version its against
2 - I can tell exactly what is changed
3 - People who are impatient can patch their local copies
4 - keeps a nice history.

I apprecaite your work.  Sorry if it looks like I'm pulling teeth on the pedantics. 
Comment 4 Werner Froidevaux 2002-05-26 22:46:19 UTC
Created attachment 1952 [details]
Patch for Ptg
Comment 5 Andy Oliver 2002-05-26 23:20:33 UTC
applied.. . please cross check
Comment 6 Werner Froidevaux 2002-05-26 23:35:50 UTC
Created attachment 1954 [details]
Patch for TestFormulaParser
Comment 7 Andy Oliver 2002-05-27 21:19:57 UTC
avik please look at this.  -- I've not applied as it looks like we'd be playing
in the same area.
Comment 8 Avik Sengupta 2002-05-28 12:47:38 UTC
applied, thanks.